mav_BBCull(3)

NAME
mav_BBCull - Bounding box utility functions.

LEVEL
Maverik Level 1

SYNTAX
int mav_BBCull(MAV_BB bb);

void mav_BBDisplay(MAV_window *w, MAV_BB bb);

void mav_BBDisplayWithColour(MAV_window *w, MAV_BB bb, int col);

void mav_BBDisplayWithSurfaceParams(MAV_window *w, MAV_BB bb, MAV_surfaceParams *sp);

DESCRIPTION

mav_BBCull
    returns MAV_TRUE if bounding box bb is inside the current viewing frustum.

mav_BBDisplay
    display the outline of bounding box bb in window w.

mav_BBDisplayWithColour
    display the outline of bounding box bb in window w using colour col.

mav_BBDisplayWithSurfaceParams
    display the bounding box bb in window w using surface parameters sp.